Public Member Functions | Public Attributes | List of all members
clan::Line3x< Type > Class Template Reference
clanCore Math

3D line More...

`#include <line.h>`

## Public Member Functions
| Line3x ()
| Line3x (const Line3x< Type > &copy)
| Line3x (const Vec3< Type > &point_p, const Vec3< Type > &point_q)
Attributes
Vec3< Type > | get_intersection (const Line3x< Type > &second, bool &intersect, Type range=(Type) 0.5) const
| Return the intersection of this and other line. More...
Operators
Line3x< Type > & | operator= (const Line3x< Type > &copy)
| = operator. More...
bool | operator== (const Line3x< Type > &line) const
| == operator. More...
bool | operator!= (const Line3x< Type > &line) const
| != operator. More...

## Public Attributes
Vec3< Type > | p
Vec3< Type > | q

## Detailed Description

### template<typename Type>
class clan::Line3x< Type >

3D line

These line templates are defined for: int (Line3), float (Line3f), double (Line3d)

The documentation for this class was generated from the following file:

- line.h